# $Source: /usr/local/SimSoft/Sfx3D/src/gts/gts06.tcl,v $
# $Revision: 1.2 $
# $Author: baum $
# $Date: 2001/11/29 15:18:10 $
#
# Login name of the user who locked the revision
# $Locker:  $
# Tag name used to checkout the file
# $Name: Release-14 $
# State assigned to revision
# $State: Exp $
#
#
# $Log: gts06.tcl,v $
# Revision 1.2  2001/11/29 15:18:10  baum
# -Realzeitsteuerung eingebaut
# -Handsteuerung eingebaut
#

# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# +++++++++++++  D I A L O G :  ModellZeitBearbeiten  +++++++++++++++++++++++
# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

proc ModellZeitBearbeiten {  } {
   global DAT BSTATUS
   set dlg [dialog_create "Modellzeit bearbeiten" Dialog "" "Schliessen"]
   set DAT(NBook) [dialog_nbook $dlg]
   set nb [dialog_add_nbook $DAT(NBook) laufzeit "Laufzeit"]
   set DAT(Zeit) [dialog_lframe $nb "Simulationszeit"]
   
   set inp [DlgExperiment ZEITMODELL GETLAUFZEIT 0 0 0]        
   set DAT(Input) {}
   set e [dialog_entry $DAT(Zeit) "" 0 "Tage" 4 [lindex $inp 0] "Int" "MZ" left]
   dialog_focus $e
   lappend ein $e
   set e [dialog_entry $DAT(Zeit) "" 0 "Std" 3  [lindex $inp 1] "Int" "MZ" left]
   lappend ein $e
   set e [dialog_entry $DAT(Zeit) "" 0 "min" 3  [lindex $inp 2] "Int" "MZ" left]
   lappend ein $e
   set e [dialog_entry $DAT(Zeit) "" 0 "sec" 3  [lindex $inp 3] "Int" "MZ" left]
   lappend ein $e
   set e [dialog_entry $DAT(Zeit) "" 0 "hsec" 3 [lindex $inp 4] "Int" "MZ" left]
   lappend ein $e
   set DAT(Input) $ein

   set button [MachButton $nb "Übernehmen" 10]
   $button.1 config -state disabled 
   set BSTATUS(MZ) $button.1
   bind $button.1 <ButtonRelease-1> {
      if {[%W cget -state] == "active" } {
        set input ""
        foreach i $DAT(Input) { lappend input [$i get] }
        set ret [DlgExperiment ZEITMODELL SETLAUFZEIT $input 0 0] 
        set j 0
        foreach i $DAT(Input) { 
            $i delete 0 end
            $i insert 0 [lindex $ret $j]
            incr j
        }
      }
   }
   dialog_wait $dlg 
   dialog_destroy $dlg
   unset DAT
}
#  ENDE ModellZeitBearbeiten

# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# +++++++++++  ENDE - D I A L O G :  ModellZeitBearbeiten  ++++++++++++++++++
# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
